Page MenuHomePhabricator

Wmflabs page to request images and plan campaigns
Closed, ResolvedPublic

Description

During the hackathon I plan to work on a Django REST page on wmflabs where users can request images and campaigns that are then available over a REST-API. This will make it easy for e.g. the Commons Android App to guide users to requested image places. Also the app could send push notifications about campaigns that have started (e.g. wiki loves earth). The first version of the app will soon be published and I will add the link here right away.

Anyone is welcome to join me in any part of the stack:

  • Database: Postgresql + Postgis
  • Django with Django Rest Framework and django-rest-framework-gis
  • A lot of JS for the Forms and handling of front-end state.
  • Mediawiki OAuth

I will also give a short introduction on the first day how to set up your own Django app on wmflabs and set up Mediawiki OAuth: T158998
If you would work on the app this is the task: T159125

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2017, 9:05 PM
Yarl added a subscriber: Yarl.Apr 14 2017, 8:26 AM

@Tobias1984: Anything left to do in this task, or can this be resolved, or should this remain open (under which active project)? Thanks a lot! :)

@Tobias1984: Anything left to do in this task, or can this be resolved, or should this remain open (under which active project)? Thanks a lot! :)

Tobias1984 closed this task as Resolved.May 22 2018, 7:40 PM

@Aklapper I think we can close this. FYI: I opened this issue mainly as a project idea for the hackathon, but then we prioritized some other things.

For people still interested in this feature: There are some open issues regarding campaigns on Github.